Page MenuHomePhabricator

Abolish use of labs proxies in domains other than .wmflabs.org
Closed, ResolvedPublic

Description

Before we can switch labs proxies to https-only we have to get everything under our one *.wmflabs.org cert.

Event Timeline

Andrew created this task.Mar 30 2016, 7:38 PM
chasemp triaged this task as Medium priority.Apr 4 2016, 1:52 PM

I think we should go in the opposite direction - e.g. use LE to get certs for any domains outside of *.wmflabs.org necessary, and abolish the use of proxies directly under wmflabs.org.

Is this request the opposite of T122403?

Andrew claimed this task.Apr 29 2020, 3:53 PM

I don't necessarily disagree with Alex's suggestions but I'm nonetheless going to pursue the initial intent of this task for now... once we have things somewhat standardized we can talk about new proxy dns designs. Obviously killing off long-standing domains is hard in any case.

Currently the only outliers are in the 'maps' project. I'm creating a subtask for this.

Andrew closed this task as Resolved.May 17 2020, 10:00 PM

maps are moved to another proxy host, so this is done.